/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HS_perro}", "click", function(sym, e) {
         
         sym.getSymbol("Symbol_perro").play();
         
         
         // Ocultar un elemento 
         sym.$("HS_elefante").hide();
         
         // Ocultar un elemento 
         sym.$("HS_flamingo").hide();
         
         
         // Ocultar un elemento 
         sym.$("HS_perro").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_elefante}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("Symbol_elefante1").play();
         
         
         // Ocultar un elemento 
         sym.$("HS_elefante").hide();
         
         // Ocultar un elemento 
         sym.$("HS_flamingo").hide();
         
         
         // Ocultar un elemento 
         sym.$("HS_perro").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_flamingo}", "click", function(sym, e) {
         sym.getSymbol("Symbol_flamingo1").play();
         
         
         // Ocultar un elemento 
         sym.$("HS_elefante").hide();
         
         // Ocultar un elemento 
         sym.$("HS_flamingo").hide();
         
         
         // Ocultar un elemento 
         sym.$("HS_perro").hide();

      });
      //Edge binding end

   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'Symbol_perro'
   (function(symbolName) {   
   
      

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar_perro}", "click", function(sym, e) {
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_elefante").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_perro").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_flamingo").show();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("Symbol_perro");
   //Edge symbol end:'Symbol_perro'

   //=========================================================
   
   //Edge symbol: 'Symbol_perro_1'
   (function(symbolName) {   
   
   })("Symbol_elefante_malo");
   //Edge symbol end:'Symbol_elefante_malo'

   //=========================================================
   
   //Edge symbol: 'Symbol_elefante_1'
   (function(symbolName) {   
   
   })("Symbol_flamingo_malo");
   //Edge symbol end:'Symbol_flamingo_malo'

   //=========================================================
   
   //Edge symbol: 'ninos'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3250, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("ini");

      });
      //Edge binding end

   })("ninos");
   //Edge symbol end:'ninos'

   //=========================================================
   
   //Edge symbol: 'Symbol_perro_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar_perro}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_elefante").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_perro").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_flamingo").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      })("Symbol_elefante1");
   //Edge symbol end:'Symbol_elefante1'

   //=========================================================
   
   //Edge symbol: 'Symbol_perro_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar_perro}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_elefante").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_perro").show();
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").$("HS_flamingo").show();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      })("Symbol_flamingo1");
   //Edge symbol end:'Symbol_flamingo1'

})(jQuery, AdobeEdge, "EDGE-5531445");